Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.common
Class ElementWildcard

    java.lang.Object
      |
      +--org.apache.xerces.validators.common.ElementWildcard

public class ElementWildcard
extends java.lang.Object

ElementWildcard is used to check whether two element declarations conflict

Method Summary
`static boolean` | `conflict(int type1, int local1, int uri1, int type2, int local2, int uri2, SubstitutionGroupComparator comparator)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### conflict

    public static boolean conflict(int type1,
                                   int local1,
                                   int uri1,
                                   int type2,
                                   int local2,
                                   int uri2,
                                   SubstitutionGroupComparator comparator)
                            throws java.lang.Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.